### Class

# Cogl FrameInfo

#### Description [src]

    final class Cogl.FrameInfo : GObject.Object
    {
      /* No available fields */
    }

Frame information.

#### Ancestors

- GObject

#### Instance methods

###### cogl_frame_info_get_frame_counter

Gets the frame counter for the `CoglOnscreen` that corresponds to this frame.

###### cogl_frame_info_get_global_frame_counter

No description available.

###### cogl_frame_info_get_is_symbolic

No description available.

###### cogl_frame_info_get_presentation_time_us

Gets the presentation time for the frame. This is the time at which the frame became visible to the user.

###### cogl_frame_info_get_refresh_rate

Gets the refresh rate in Hertz for the output that the frame was on at the time the frame was presented.

###### cogl_frame_info_get_rendering_duration_ns

No description available.

###### cogl_frame_info_get_sequence

No description available.

###### cogl_frame_info_get_target_presentation_time_us

Gets the target presentation time for the frame. This is the time at which the frame was expected to became visible to the user.

###### cogl_frame_info_get_time_before_buffer_swap_us

No description available.

###### cogl_frame_info_get_view_frame_counter

No description available.

###### cogl_frame_info_has_valid_gpu_rendering_duration

No description available.

###### cogl_frame_info_is_hw_clock

No description available.

###### cogl_frame_info_is_vsync

No description available.

###### cogl_frame_info_is_zero_copy

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglFrameInfoClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.